#ifndef HARKTOOL4_FILETYPEDETERMINER_HPP
#define HARKTOOL4_FILETYPEDETERMINER_HPP

#include <string>
#include "FileType.hpp"

namespace harktool4
{

/** @brief ファイルの種類を判別する機能を提供する.
 */
class FileTypeDeterminer
{
public:
    /** @brief 指定されたファイルの種類を判別する.
     * ファイル名、またはファイルの内容からファイルの種類を判別する.
     * @param file_name ファイル名
     * @return ファイルの種類
     */
    FileType Determine(const std::string& file_name) const;
};

}

#endif // HARKTOOL4_FILETYPEDETERMINER_HPP

